GSET_CLIP_IND(3NCARG)

NAME
gset_clip_ind (Set clipping indicator) - controls whether data are displayed outside the boundaries of the world coordinate window of the current normalization transformation.

SYNOPSIS
#include <ncarg/gks.h>

void gset_clip_ind(Gclip_ind clip_ind);

DESCRIPTION

clip_ind
    (Input) - A flag to turn clipping on or off.

    GIND_NO_CLIP
        Clipping is off. Data outside of the window will be plotted.

    GIND_CLIP
        Clipping is on. Data outside of the window will not be plotted. This is the default.

USAGE
If the clipping indicator is off, and you make GKS output calls to plot world coordinate data outside your defined world coordinate window (and your viewport is smaller than the full plotting surface), those data will appear with your plot. If the clipping indicator is on, the data will be clipped to fit your window.

ACCESS
To use the GKS C-binding routines, load the ncarg_gks and ncarg_c libraries.

SEE ALSO
Online: set(3NCARG), gsup(3NCARG), gset_win(3NCARG), gsel_norm_tran(3NCARG), ginq_clip(3NCARG), gks(3NCARG), ncarg_gks_cbind(3NCARG)

Hardcopy: User's Guide for NCAR GKS-0A Graphics; NCAR Graphics Fundamentals, UNIX Version

COPYRIGHT
Copyright (C) 1987-2009
University Corporation for Atmospheric Research
The use of this Software is governed by a License Agreement.